strrep {base} | R Documentation

## Repeat the Elements of a Character Vector

### Description

Repeat the character strings in a character vector a given number of times (i.e., concatenate the respective numbers of copies of the strings).

### Usage

    strrep(x, times)

### Arguments

`x` | a character vector, or an object which can be coerced to a character vector using `as.character`.
`times` | an integer vector giving the (non-negative) numbers of times to repeat the respective elements of `x`.

### Details

The elements of `x` and `times` will be recycled as necessary (if one has no elements, and empty character vector is returned). Missing elements in `x` or `times` result in missing elements of the return value.

### Value

A character vector with the elements of the given character vector repeated the given numbers of times.

### Examples

    strrep("ABC", 2)
    strrep(c("A", "B", "C"), 1 : 3)
    ## Create vectors with the given numbers of spaces:
    strrep(" ", 1 : 5)

[Package base version 3.4.2 Index]